Version 9.6

- Fix path to libSingular.so (bz 2073208)
- Fix threejs install location (bz 2081720)
- Drop upstreamed -rubiks and -intersphinx-disabled-reftypes patches
- Drop no longer used ratpoints BR
- Thebe is no longer bundled
This commit is contained in:
Jerry James 2022-06-07 09:24:36 -06:00
parent 33af71616a
commit aed4db5045
10 changed files with 300 additions and 646 deletions

View file

@ -1,6 +1,6 @@
diff -up src/bin/sage.orig src/bin/sage
--- src/bin/sage.orig 2021-08-22 02:44:33.000000000 -0600
+++ src/bin/sage 2021-08-26 13:09:38.262699484 -0600
--- src/bin/sage.orig 2022-05-15 16:11:11.000000000 -0600
+++ src/bin/sage 2022-06-01 10:49:26.133371574 -0600
@@ -109,7 +109,6 @@ usage() {
echo " --gap [...] -- run Sage's Gap with given arguments"
echo " --gp [...] -- run Sage's PARI/GP calculator with given arguments"
@ -9,7 +9,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo " --maxima [...] -- run Sage's Maxima with given arguments"
echo " --mwrank [...] -- run Sage's mwrank with given arguments"
echo " --notebook=[...] -- start the Sage notebook (valid options are"
@@ -160,111 +159,6 @@ if [ -f "${SELF}-env-config" ]; then
@@ -160,60 +159,6 @@ if [ -f "${SELF}-env-config" ]; then
fi
#####################################################################
@ -51,77 +51,26 @@ diff -up src/bin/sage.orig src/bin/sage
- exit 127
-fi
-
-# Check for '-i' before sourcing sage-env: running "make"
-# Check for '-i' etc. before sourcing sage-env: running "make"
-# should be run outside of the Sage shell.
-if [ "$1" = '-f' ]; then
- # -f is an alias for -i -f
- set -- -i "$@"
-fi
-
-if [ "$1" = '-i' ]; then
- shift
- if [ -z "$MAKE" ]; then
- MAKE="make"
- fi
-
- set -e
- cd "$SAGE_ROOT"
-
- # Parse options
- PACKAGES="" # Packages to install
- INSTALL_OPTIONS="" # Options to sage-spkg
- for OPT in "$@"; do
- case "$OPT" in
- -info|--info)
- echo >&2 "Error: 'sage -i $OPT <package>' is no longer supported, use 'sage --info <package>' instead."
- exit 2;;
- -f) FORCE_INSTALL=yes;;
- # Setting SAGE_CHECK here duplicates what we do in sage-spkg
- # but we need it in "make" already when there are (order-only)
- # dependencies on packages providing test infrastructure
- -c) INSTALL_OPTIONS="$INSTALL_OPTIONS $OPT"; export SAGE_CHECK=yes;;
- -w) INSTALL_OPTIONS="$INSTALL_OPTIONS $OPT"; export SAGE_CHECK=warn;;
- -*) INSTALL_OPTIONS="$INSTALL_OPTIONS $OPT";;
- *) PACKAGES="$PACKAGES $OPT";;
- esac
- done
-
- # First, uninstall the packages if -f was given
- if [ "$FORCE_INSTALL" = yes ]; then
- for PKG in $PACKAGES; do
- $MAKE "$PKG-clean" || true # Ignore errors
- done
- fi
-
- # Make sure that the toolchain is up-to-date
- # (which is a dependency of every package)
- $MAKE all-toolchain
-
- ALL_TARGETS="$($MAKE list 2>/dev/null)"
-
- # Now install the packages
- for PKG in $PACKAGES; do
- echo
- # Check that $PKG is actually a Makefile target
- # See https://trac.sagemath.org/ticket/25078
- if ! echo "$ALL_TARGETS" | grep "^${PKG}$" >/dev/null; then
- echo >&2 "Error: package '$PKG' not found"
- echo >&2 "Note: if it is an old-style package, installing these is no longer supported"
- exit 1
-case "$1" in
- -i|-f|-p)
- # Delegate further option handling to the non-installed sage-site script.
- # (These options become unavailable if the directory $SAGE_ROOT is removed.)
- if [ -d "$SAGE_ROOT" ]; then
- exec "$SAGE_ROOT/build/bin/sage-site" "$@"
- # fallthrough if there is no sage-site script
- fi
- $MAKE SAGE_SPKG="sage-spkg $INSTALL_OPTIONS" "$PKG"
- done
- echo "New packages may have been installed."
- echo "Re-running configure and make in case any dependent packages need updating."
- touch "$SAGE_ROOT/configure" && $MAKE all-build
- exit 0
-fi
- echo "Error: unknown option: $1"
- exit 1
- ;;
-esac
-
-#####################################################################
# Report information about the Sage environment
#####################################################################
@@ -309,20 +203,6 @@ fi
@@ -264,18 +209,6 @@ fi
# Prepare for running Sage, either interactively or non-interactively.
sage_setup() {
@ -136,34 +85,11 @@ diff -up src/bin/sage.orig src/bin/sage
- echo >&2 '************************************************************************'
- exit 1
- fi
-
- maybe_sage_location
-
if [ ! -d "$IPYTHONDIR" ]; then
# make sure that $DOT_SAGE exists so that ipython will happily
# create its config directories there. If DOT_SAGE doesn't
@@ -333,20 +213,6 @@ sage_setup() {
}
-# Check to see if the whole Sage install tree has moved. If so,
-# change various hardcoded paths. Skip this if we don't have write
-# access to $SAGE_LOCAL (e.g. when running as a different user) or
-# if Python and sage-location haven't been installed yet.
-maybe_sage_location()
-{
- if [ -n "$SAGE_LOCAL" -a -w "$SAGE_LOCAL" ]; then
- if [ -x "$SAGE_VENV/bin/python" ] && [ -x "$SAGE_VENV/bin/sage-location" ]; then
- sage-location || exit $?
- fi
- fi
-}
-
-
# Start an interactive Sage session, this function never returns.
interactive_sage() {
sage_setup
@@ -384,8 +250,6 @@ usage_advanced() {
@@ -323,8 +256,6 @@ usage_advanced() {
echo " --nodotsage -- run Sage without using the user's"
echo " .sage directory: create and use a temporary"
echo " .sage directory instead."
@ -172,7 +98,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo " --simple-prompt -- pass the option through to IPython: use"
echo " this option with sage-shell mode in emacs"
if [ -n "$SAGE_SRC" -a -d "$SAGE_SRC" ]; then
@@ -419,18 +283,9 @@ usage_advanced() {
@@ -358,18 +289,9 @@ usage_advanced() {
echo " environment (not Sage), passing additional"
echo " additional options to IPython"
echo " --jupyter [...] -- run Sage's Jupyter with given arguments"
@ -191,7 +117,7 @@ diff -up src/bin/sage.orig src/bin/sage
echo " --python [...], --python3 [...]"
echo " -- run the Python 3 interpreter"
echo " -R [...] -- run Sage's R with the given arguments"
@@ -677,11 +532,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
@@ -620,11 +542,6 @@ if [ "$1" = '-lisp' -o "$1" = '--lisp' ]
exec ecl "$@"
fi
@ -203,7 +129,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-maxima' -o "$1" = '--maxima' ]; then
shift
maxima_cmd=$(sage-config MAXIMA 2>/dev/null)
@@ -706,11 +556,6 @@ if [ "$1" = '-R' -o "$1" = '--R' ]; then
@@ -649,11 +566,6 @@ if [ "$1" = '-R' -o "$1" = '--R' ]; then
exec R "$@"
fi
@ -215,19 +141,18 @@ diff -up src/bin/sage.orig src/bin/sage
#####################################################################
# sage --sh and sage --buildsh
#####################################################################
@@ -877,11 +722,6 @@ fi
@@ -820,10 +732,6 @@ fi
# build_sage, sage -b, sage -br, etc. could be moved to
# build/bin/sage-site. See #29111.
-build_sage() {
- maybe_sage_location
- ( cd "$SAGE_ROOT/build/make" && ./install sagelib-no-deps ) || exit $?
-}
-
if [[ "$1" =~ ^--notebook=.* || "$1" =~ ^-n=.* || "$1" =~ ^-notebook=.* ]] ; then
sage-cleaner &>/dev/null &
exec sage-notebook "$@"
@@ -892,13 +732,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
@@ -834,13 +742,6 @@ if [ "$1" = "-notebook" -o "$1" = '--not
exec sage-notebook "$@"
fi
@ -241,7 +166,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ -n "$SAGE_SRC" -a -d "$SAGE_SRC" ]; then
# Source inspection facilities, supported on sage-the-distribution and on distributions
# that package the Sage sources.
@@ -915,46 +748,18 @@ if [ -n "$SAGE_SRC" -a -d "$SAGE_SRC" ];
@@ -857,46 +758,18 @@ if [ -n "$SAGE_SRC" -a -d "$SAGE_SRC" ];
fi
fi
@ -289,7 +214,7 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-tp' -o "$1" = '-btp' ]; then
shift
exec-runtests -p "$@"
@@ -964,34 +769,11 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
@@ -906,34 +779,11 @@ if [ "$1" = '-t' -o "$1" = '-bt' -o "$1"
fi
fi
@ -324,59 +249,11 @@ diff -up src/bin/sage.orig src/bin/sage
if [ "$1" = '-startuptime' -o "$1" = '--startuptime' ]; then
exec sage-startuptime.py "$@"
fi
@@ -1014,59 +796,11 @@ fi
# Creating and handling Sage distributions
#####################################################################
-# The following could be moved to build/bin/sage-site. See #29111.
-
-if [ "$1" = '--location' ]; then
- maybe_sage_location
- exit 0
-fi
-
-
-install() {
- maybe_sage_location
-
- for PKG in "$@"
- do
- # Check for options
- case "$PKG" in
- -*)
- INSTALL_OPTIONS="$INSTALL_OPTIONS $PKG"
- continue;;
- esac
-
- PKG_NAME=`echo "$PKG" | sed -e "s/\.spkg$//"`
- PKG_NAME=`basename "$PKG_NAME"`
-
- sage-logger \
- "sage-spkg $INSTALL_OPTIONS '$PKG'" "$SAGE_LOGS/$PKG_NAME.log"
- # Do not try to install further packages if one failed
- if [ $? -ne 0 ]; then
- exit 1
- fi
- done
- exit 0
-}
-
if [ "$1" = '-installed' -o "$1" = "--installed" ]; then
shift
@@ -989,11 +839,6 @@ if [ "$1" = '-installed' -o "$1" = "--in
exec sage-list-packages all --installed-only $@
fi
-if [ "$1" = '-p' ]; then
- shift
- # If there are no further arguments, display usage help.
- if [ $# -eq 0 ]; then
- exec sage-spkg
- fi
- install "$@"
-fi
-
-if [ "$1" = '-sdist' -o "$1" = "--sdist" ]; then
- maybe_sage_location
- shift
- exec sage-sdist "$@"
-fi
@ -384,7 +261,7 @@ diff -up src/bin/sage.orig src/bin/sage
#####################################################################
# Debugging tools
#####################################################################
@@ -1110,12 +844,6 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
@@ -1037,12 +882,6 @@ if [ "$1" = '-callgrind' -o "$1" = "--ca
exec sage-callgrind "$@"
fi